From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-apps/fakeroot/
Date: Thu, 20 Jan 2022 12:08:32 +0000 (UTC) [thread overview]
Message-ID: <1642680457.e4f76a21f19cd64e1520e750cd947a40a40a6d1e.sam@gentoo> (raw)
commit: e4f76a21f19cd64e1520e750cd947a40a40a6d1e
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 20 11:58:56 2022 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Jan 20 12:07:37 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e4f76a21
sys-apps/fakeroot: add 1.27
Signed-off-by: Sam James <sam <AT> gentoo.org>
sys-apps/fakeroot/Manifest | 1 +
sys-apps/fakeroot/fakeroot-1.27.ebuild | 71 ++++++++++++++++++++++++++++++++++
2 files changed, 72 insertions(+)
diff --git a/sys-apps/fakeroot/Manifest b/sys-apps/fakeroot/Manifest
index 60c5be44cb64..04aa76f5ca08 100644
--- a/sys-apps/fakeroot/Manifest
+++ b/sys-apps/fakeroot/Manifest
@@ -1,2 +1,3 @@
DIST fakeroot_1.25.3.orig.tar.gz 126884 BLAKE2B a6a860a8714bb2a43f2820bc586cac38d25df8b8cb32b219064618c845d0308b57929108bd582b46c15b2fe4b2fc00d662ba72458a9e9ffcf7d035dce515eb55 SHA512 b54366ef82b49af414d7214d069a4bc7dd188dfa4f8e3121f6bd65fd67268b02346ff72e857087243ab0efe9fa82faaa9f9c3309cac4b5af0ea00908c2e5eb6e
DIST fakeroot_1.26.orig.tar.gz 549685 BLAKE2B d9177403d9c2be88c0949c891cde5742a405027714b07ca2c7e72813dba049157c3d994f30b9c634016a74c74745f8391ee51035cbf385ef63364d0a31291d43 SHA512 dad193b283b48a25806c5bcd06d1f5bbd183ccd40a3fc25f3e7bb88fd6579024f958321f8336654348a1d0a547d4ad19ed11aab5ec9441d6ef493ee6e4c78081
+DIST fakeroot_1.27.orig.tar.gz 544301 BLAKE2B 5e887d43c8bedaecbe51eb7f606d6bace3a9f191a7cf4be32362e1ba97e438413f04ed644532d3a386a46f3a569bf0104c4f38272e5ff46e3705c17896fef972 SHA512 cd98b8cd1064a5a11c6f25bc1d9cb1fb1bf0787f50772fead301470d1769c08a89a1510402b099af334d9f126cea5d3bd5d73e27fb91b5afc1ceebeb9ec3f926
diff --git a/sys-apps/fakeroot/fakeroot-1.27.ebuild b/sys-apps/fakeroot/fakeroot-1.27.ebuild
new file mode 100644
index 000000000000..d033244f8182
--- /dev/null
+++ b/sys-apps/fakeroot/fakeroot-1.27.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools flag-o-matic plocale
+
+DESCRIPTION="A fake root environment by means of LD_PRELOAD and SysV IPC (or TCP) trickery"
+HOMEPAGE="https://packages.qa.debian.org/f/fakeroot.html"
+SRC_URI="mirror://debian/pool/main/${PN:0:1}/${PN}/${P/-/_}.orig.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="acl debug nls test"
+RESTRICT="!test? ( test )"
+
+DEPEND="sys-libs/libcap
+ acl? ( sys-apps/acl )
+ test? ( app-arch/sharutils )"
+BDEPEND="nls? ( app-text/po4a )"
+
+DOCS=( AUTHORS BUGS DEBUG README doc/README.saving )
+
+PLOCALES="de es fr nl pt sv"
+
+src_prepare() {
+ default
+
+ disable_locale() {
+ local locale=${1}
+
+ sed -i -e "s: ${locale}::" doc/po4a/po4a.cfg doc/Makefile.am || die
+ }
+
+ plocale_find_changes doc/po4a/po '' '.po'
+ plocale_for_each_disabled_locale disable_locale
+
+ # We could make this conditional and disable the autodependency in
+ # autotools.eclass but it'd make it too easy for NLS builds to be broken
+ # and us not realise.
+ eautoreconf
+}
+
+src_configure() {
+ export ac_cv_header_sys_acl_h=$(usex acl)
+ use acl || export ac_cv_search_acl_get_fd=no # bug 759568
+ use debug && append-cppflags -DLIBFAKEROOT_DEBUGGING
+
+ econf --disable-static
+}
+
+src_compile() {
+ local enabled_locales=$(plocale_get_locales)
+
+ if use nls && [[ -n ${enabled_locales} ]] ; then
+ # Create translated man pages
+ pushd doc >/dev/null || die
+ po4a -v -k 0 --variable "srcdir=${S}/doc/" po4a/po4a.cfg || die
+ popd >/dev/null || die
+ fi
+
+ default
+}
+
+src_install() {
+ default
+
+ # no static archives
+ find "${ED}" -name '*.la' -delete || die
+}
next reply other threads:[~2022-01-20 12:08 UTC|newest]
Thread overview: 88+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-01-20 12:08 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-03-14 8:18 [gentoo-commits] repo/gentoo:master commit in: sys-apps/fakeroot/ Arthur Zamarin
2024-03-14 7:55 Arthur Zamarin
2024-03-14 7:00 Arthur Zamarin
2024-03-14 6:19 Sam James
2024-03-14 6:13 Sam James
2024-03-14 6:07 Sam James
2024-03-14 6:06 Sam James
2024-02-02 4:51 Sam James
2024-02-02 4:51 Sam James
2024-01-23 15:08 Sam James
2024-01-18 0:28 Sam James
2024-01-17 8:53 Arthur Zamarin
2024-01-17 5:59 Sam James
2024-01-17 5:55 Sam James
2024-01-17 5:50 Sam James
2024-01-17 5:50 Sam James
2023-11-25 4:56 Sam James
2023-08-21 3:50 Sam James
2023-08-19 9:24 Sam James
2023-08-19 9:24 Sam James
2023-08-19 6:58 Arthur Zamarin
2023-08-19 6:33 Sam James
2023-08-19 6:23 Sam James
2023-07-20 2:26 Sam James
2023-07-20 2:26 Sam James
2023-05-09 13:27 Arthur Zamarin
2023-03-10 7:46 Sam James
2023-03-10 7:46 Sam James
2023-03-10 7:44 Arthur Zamarin
2023-03-10 7:44 Arthur Zamarin
2023-03-10 7:44 Arthur Zamarin
2023-03-10 7:44 Arthur Zamarin
2023-03-04 11:03 Arthur Zamarin
2023-03-04 9:01 Arthur Zamarin
2023-03-04 8:18 Arthur Zamarin
2023-03-04 6:04 Arthur Zamarin
2023-03-04 5:56 Arthur Zamarin
2023-02-08 1:04 Sam James
2022-12-03 2:22 Sam James
2022-08-22 17:33 WANG Xuerui
2022-06-02 5:03 Jakov Smolić
2022-06-02 3:14 Sam James
2022-06-02 3:14 Sam James
2022-06-02 3:12 Sam James
2022-06-02 3:12 Sam James
2022-06-02 3:05 Sam James
2022-05-31 4:46 Sam James
2022-05-05 23:38 Sam James
2022-04-12 22:38 Sam James
2022-04-12 22:38 Sam James
2021-09-12 2:27 Sam James
2021-09-12 2:02 Sam James
2021-05-09 6:09 Sam James
2021-04-20 23:35 Sam James
2021-04-19 21:02 Mike Gilbert
2021-04-07 22:47 Sam James
2021-04-07 22:45 Sam James
2021-04-06 19:53 Sam James
2021-04-05 19:01 Thomas Deutschmann
2021-03-27 10:44 David Seifert
2020-10-08 22:53 Thomas Deutschmann
2020-10-05 16:23 Thomas Deutschmann
2020-09-25 12:14 Lars Wendler
2020-09-25 9:24 Lars Wendler
2020-05-04 19:38 Alexey Shvetsov
2019-09-16 15:04 Thomas Deutschmann
2018-07-06 0:31 Thomas Deutschmann
2018-07-06 0:31 Thomas Deutschmann
2018-06-08 10:06 Mikle Kolyada
2018-05-21 19:37 Mikle Kolyada
2018-05-21 19:37 Mikle Kolyada
2017-11-29 5:56 Markus Meier
2017-11-18 17:52 Sergei Trofimovich
2017-11-14 8:25 Sergei Trofimovich
2017-11-08 12:51 Tobias Klausmann
2017-11-04 19:34 Sergei Trofimovich
2017-10-30 21:53 Sergei Trofimovich
2017-10-30 11:09 Jeroen Roovers
2017-10-30 0:11 Manuel Rüger
2017-10-29 23:16 Thomas Deutschmann
2017-09-23 6:46 Jeroen Roovers
2017-09-17 2:18 Thomas Deutschmann
2017-06-22 7:44 Sergei Trofimovich
2017-06-04 16:37 Sergei Trofimovich
2017-02-21 20:35 Markus Meier
2016-12-04 15:09 Jeroen Roovers
2016-01-05 20:21 Anthony G. Basile
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1642680457.e4f76a21f19cd64e1520e750cd947a40a40a6d1e.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox